debian-codemods (0.183) unstable; urgency=medium

  * Add fixer for alien-tag
  * Add fixer for desktop-entry-contains-deprecated-key
  * Add fixer for debian-watch-lacks-sourceforge-redirector
  * Add fixer for spelling-error-in-rules-requires-root.
  * Add fixer for systemd-tmpfile-in-var-run
  * Add fixer for unnecessary-source-date-epoch-assignment
  * Add fixer for testsuite-restrictions-has-deprecated-skip-not-
    installable
  * Add fixer for capitalization-error-in-description-synopsis
  * Add fixer for dh-install-instead-of-dh-installmodules
  * Add fixer for missing-debian-watch-file-standard
  * Rebuild against libpython3.14. Closes: #1140904
  * Port the no-copyright-file fixer to decopy 0.3, fixing FTBFS with the
    new decopy module layout. Closes: #1142066

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 04 Jul 2026 11:42:06 +0100

debian-codemods (0.182) unstable; urgency=medium

  * Add detector for boilerplate-copyright-format-uri.
  * Add fixer for debian-control-repeats-field-name-in-value.
  * Add fixer for copyright-refers-to-deprecated-bsd-license-file.
  * Add fixer for redundant-origin-field.
  * Add fixer for debian-files-list-in-source.
  * Add fixer for default-mta-dependency-does-not-specify-mail-
    transport-agent.
  * Add fixer for copyright-refers-to-compressed-license.
  * Add detector for description-starts-with-package-name.
  * Add fixer for no-newline-at-end.
  * Add fixer for redundant-bugs-field.
  * Add fixer for aspell-package-not-arch-all.
  * Add detector for debian-news-entry-uses-asterisk.
  * Make breezyshim an optional dependency in multi-arch,
    deb-transition-apply and deb-scrub-obsolete.
  * Add fixer for spelling-error-in-rules-requires-root.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 27 Jun 2026 02:48:54 +0100

debian-codemods (0.181.1) unstable; urgency=medium

  * Bump rust-sha1 to 0.11.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 04 Jun 2026 18:20:10 +0100

debian-codemods (0.181) unstable; urgency=medium

  * Add fixer for binary-package-depends-on-toolchain-package.
  * Bump minimum makefile-lossless to 0.3.38, fixing support for
    define/enddef. Closes: #1138773
  * deb-scrub-obsolete: Drop redundant alternative dependencies after
    stripping version constraints. Closes: #981529
  * Only reorder Files paragraphs in debian/copyright when patterns actually
    overlap, rather than by directory depth alone. Closes: #1135874
  * Fix copyright-continued-lines-with-space to avoid mixed space+tab
    indentation. Closes: #966631
  * lintian-brush: Drop lintian overrides made unused when bumping the
    debhelper compat level rewrites debian/rules. Closes: #970174
  * Add fixer for uses-dh-addons (only applied with --opinionated).
    Closes: #953391
  * deb-scrub-obsolete: Report UDD connection failures as a fatal error
    rather than panicking. Closes: #1138770
  * Add detector for debian-news-entry-uses-asterisk.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 04 Jun 2026 13:31:51 +0100

debian-codemods (0.180) unstable; urgency=medium

  * Add fixer for apache2-module-does-not-depend-on-apache2-api.
  * Add fixer for duplicate-contact.
  * Add fixer for default-mta-dependency-not-listed-first.
  * Add fixer for dh_installmanpages-is-obsolete.
  * Add fixer for debian-rules-uses-deb-build-opts.
  * Rewrite the old-fsf-address-in-copyright-file fixer to strip the FSF
    postal address and reference https://www.gnu.org/licenses/ instead,
    handling both flagged addresses.
  * Add fixer for description-synopsis-starts-with-article.
  * Add fixer for description-contains-tabs.
  * Add fixer for control-file-contains-dh_make-vcs-comment.
  * Add fixer for redundant-control-relation.
  * Add fixer for capitalization-error-in-description.
  * Emit the redundant-rules-requires-root-no-field tag when removing a
    redundant Rules-Requires-Root: no field.
  * Add fixer for invalid-dep3-format-patch-wrong-last-update.
  * Add fixer for unused-entry-in-debian-source-include-binaries.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 20 May 2026 00:04:36 +0100

debian-codemods (0.179) unstable; urgency=medium

  * Ship librust-lintian-brush-dev, librust-multiarch-hints-dev,
    librust-debian-workspace-dev. These are necessary so debian-lsp can
    link against them.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 19 May 2026 13:27:38 +0100

debian-codemods (0.178) unstable; urgency=medium

  * Add fixer for homepage-for-cpan-package-contains-version.
  * Add fixer for redundant-priority-optional-field.
  * Add fixer for needlessly-depends-on-awk.
  * Add fixer for depends-on-old-emacs.
  * Add fixer for copyright-refers-to-old-directory.
  * Add fixer for build-depends-on-1-revision.
  * Add fixer for homepage-for-cpan-package-contains-version.
  * Add fixer for bugs-field-does-not-refer-to-debian-infrastructure.
  * Add fixer for build-depends-on-python-sphinx-only.
  * Add fixer for depends-on-python-minimal.
  * debcargo.toml: Suggest setting collapse_features.
  * Fix test_bsd incorrectly returning changes. Closes: #1136917
  * initial-upload-closes-no-bugs: Cross-check the whole
    changelog for already-closed WNPP bugs before re-adding them on the
    initial release entry. Closes: #1136913

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 18 May 2026 01:50:24 +0100

debian-codemods (0.177) unstable; urgency=medium

  * Add LintianIssue::Visibility
  * scrub-obsolete: Implement the scrub-annotations spec.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 09 May 2026 01:13:34 +0100

debian-codemods (0.176) unstable; urgency=medium

  This release significantly changes how lintian-brush works under
  the hood, with a view to supporting more complex workflows
  like inclusion in a LSP.

  * Include per-issue package and info detail in Fixes: trailers, and
    emit each See-also: URL only once per unique tag.
  * Add fixer for essential-no-not-needed.
  * no-homepage-field, package-has-no-description: Report the lintian
    issue even when no upstream homepage or description can be guessed,
    rather than silently dropping the diagnostic.
  * Bump debian-analyzer to 0.160.16, fixing versioning of new files.
    Thanks, Timo Röhling, for the debugging help. Closes: #1064436
  * Add --detect-only flag to lintian-brush, which reports detected
    issues without applying any fixes.
  * Add --interactive flag to lintian-brush, which prompts for which
    action plan to apply for each detected issue.
  * Add --quick flag for running fast fixers.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 08 May 2026 14:01:25 +0100

debian-codemods (0.175) unstable; urgency=medium

  * Add support for standards-version 4.7.4.0.
  * debian-rules-missing-recommended-target: Skip when debian/rules has
    parse errors, to avoid incorrect modifications. Closes: #1131043
  * Use external lintian overrides crate.
  * Support CRAN and Bioconductor watch file templates. Closes: #1133114
  * Verify watch entries with discover_blocking() when net access is
    available.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 Mar 2026 11:33:39 +0000

debian-codemods (0.174) unstable; urgency=medium

  * Bump upstream-ontologist dependency to 0.3.13; be more lenient when
    parsing upstream files.
  * Add fixer for package-relation-with-perl-modules.
  * debian/control: Fix possible-unindented-list-in-extended-
    description.
  * Disable default features for sqlx to avoid pulling in sqlite
    dependency chain. Closes: #1131695
  * When upgrading to debhelper compat 12, add --libexecdir=/usr/libexec
    for autoconf and meson packages that use libexecdir. Closes: #963196
  * ancient-maintscript-entry: Include details about removed entries
    and their upload dates in commit messages. Closes: #985834
  * Add regression test for debian-rules-missing-recommended-target
    not modifying rules files with dh pattern rules and build
    overrides. Closes: #1131043
  * Include upgrade checklist verification details in commit messages
    when bumping Standards-Version. Closes: #1023505
  * out-of-date-standards-version: Add support for standards versions
    4.7.0 through 4.7.3.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 20 Mar 2026 13:36:23 +0000

debian-codemods (0.173) unstable; urgency=medium

  * Switch to yaml-edit crate for debian/upstream/metadata editing.
    Closes: #1128572

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 10 Mar 2026 03:24:54 +0000

debian-codemods (0.172) unstable; urgency=medium

  * Bump version of debian-watch to one with proper field names for v5.
    Closes: #1129735
  * Bump debian-watch crate to 0.4.3; actually adds support for all
    metacpan templates. Closes: #1128553

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 06 Mar 2026 09:09:14 +0000

debian-codemods (0.171) unstable; urgency=medium

  * debian/copyright: Remove unused MIT license paragraph
  * upload to unstable with new package names.
  * Fix day-of-week for changelog entries 0.166, 0.165.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 Feb 2026 20:27:14 +0000

debian-codemods (0.170) experimental; urgency=medium

  * Rename source package to ``debian-codemods`` to reflect that it
    contains more than just lintian-brush.
  * Split out a debian-codemods binary package that contains the
    non-lintian-brush binaries.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 05 Feb 2026 00:00:00 +0000

lintian-brush (0.168) unstable; urgency=medium

  [ Alexander Kjäll ]
  * Bump cargo-lock to 11.

  [ Jelmer Vernooĳ ]
  * Use archive-provided systemd-unit-edit and desktop-edit.
  * Improve man pages: update and complete options, clarify relationship
    between lintian-brush and companion tools. Closes: #1110964
  * Hide more debug output by default. Closes: #1128555
  * debhelper-tools-from-autotools-dev-are-deprecated fixer: fix removal
    of --with argument to avoid corrupting unrelated lines. Closes:
    #1128193
  * no-priority-field fixer: stop adding "Priority: optional" when
    targeting dpkg >= 1.22.13, since it is now the default. Closes:
    #1128554
  * initial-upload-closes-no-bugs fixer: fix duplicate bug references by
    checking case-insensitively. Closes: #1128557
  * Add new debian-watch-use-templates fixer to convert v5 watch files
    from explicit Source/Matching-Pattern to template syntax where
    possible. Closes: #1128553
  * global-files-wildcard-not-first-paragraph-in-dep5-copyright fixer:
    keep debian/* patterns at end of copyright file by convention.
    Closes: #1128608
  * Use archive-provided systemd-unit-edit and desktop-edit.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 16 Feb 2026 11:11:29 +0000

lintian-brush (0.167) unstable; urgency=medium

  * Update watch file handling to use version 5 format. Closes: #1127489

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 12 Feb 2026 11:54:21 +0000

lintian-brush (0.166) unstable; urgency=medium

  * Upgrade to makefile-lossless 0.3.27, fixing parsing of makefiles
    with nested conditionals. Closes: #1126511
  * Stop shipping deb-import-uncommitted, which conflicts with brz-debian.
    Closes: #1126510

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 29 Jan 2026 00:00:00 +0000

lintian-brush (0.165) unstable; urgency=medium

  * Add python3-setuptools to Build-Depends and fix setup.py parsing for
    Python 3.12+, where distutils was removed.
  * debian/copyright: Drop pattern for nonexistent
    py/lintian_brush/systemd.py.
  * Fix ordering issue.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 26 Jan 2026 00:00:00 +0000

lintian-brush (0.164) unstable; urgency=medium

  * Drop unnecessary python dependencies. Closes: #1125923

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 18 Jan 2026 23:02:42 +0000

lintian-brush (0.163) unstable; urgency=medium

  * Convert most fixers to Rust.
  * Add support for X-DH-Compat header. Closes: #1106883
  * Bump breezyshim to 0.7 and pyo03 to 0.27. Closes: #1114184
  * Bump python3-upstream-ontologist dependency to 0.2.2; older versions
    trigger a infinite memory usage bug.
  * Don't crash when a fixer is killed by a signal.
  * Rebuild against Python 3.13/3.14. Closes: #1094320
  * pkg-perl-testsuite: Don't add Testsuite header when debian/tests/control
    already exists. Closes: #982871
  * Skip debhelper-but-no-misc-depends for debhelper compat >= 14. Closes: #1072700
  * Add asterisk prefix to changelog entries. Closes: #1110106
  * double-check overrides. Closes: #961643
  * upstream-metadata-file: Support FAQ and Other-References fields.
    Closes: #1101050, #1110416
  * Fix public-upstream-key-not-minimal fixer by rewriting in Rust.
    Closes: #968150
  * Fix deb-scrub-obsolete runtime panic by enabling sqlx runtime feature.
    Closes: #1125793

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 03 Jun 2025 22:37:02 +0100

lintian-brush (0.162) unstable; urgency=medium

  * Bump the version of hyper to 1.5

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 23 Apr 2025 11:18:21 +0100

lintian-brush (0.161) unstable; urgency=medium

  * dep3-format-patch-author-or-from-is-better: Cope with commented out
    patches or missing patches in debian/patches/series.
    Closes: #1090998
  * rules-requires-root-missing: only set Rules-Requires-Root when
    dpkg < 1.22.13 needs to be supported, and delete it if only
    dpkg >= 1.22.13 is supported. Closes: #1091929
  * Update hyper used. Closes: #1102593

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 22 Dec 2024 19:10:53 +0000

lintian-brush (0.160) unstable; urgency=medium

  * Fix installing of fixers. Closes: #1090831

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 19 Dec 2024 21:19:06 +0000

lintian-brush (0.159) unstable; urgency=medium

  * Add fixer for dep3-format-patch-author-or-from-is-better
  * Upload to unstable.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 16 Nov 2024 13:29:46 +0000

lintian-brush (0.158) experimental; urgency=medium

  * Bump pyo3 to 0.22.
  * Drop dependency on dead python3-pyinotify. Closes: #1075953
  * Add hint about misisng Python package when it can't be found.
  * Rebuild against python 3.12. Closes: #1076706
  * Support newer clap. Closes: #1082363
  * When running fixers, restrict how long they can be running.
    Closes: #1076245

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 27 Jun 2024 15:44:16 +0100

lintian-brush (0.157) unstable; urgency=medium

  * Bump breezyshim to latest version.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Jun 2024 19:49:00 +0100

lintian-brush (0.156) unstable; urgency=medium

  * Re-arrange directories to allow publishing individual crates.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 08 Jun 2024 23:28:42 +0100

lintian-brush (0.155) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Bump pyo3 dependency to 0.20, fixing FTBFS. Closes: #1061435

  [ Peter Michael Green ]
  * Add missing build-dependency on librust-pyo3-file-dev

  [ Jelmer Vernooĳ ]
  * When removing calls to deprecated dh_autotools-dev_updateconfig,
    substitute dh_update_autotools_config. Closes: #1071554

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 07 Jun 2024 13:26:47 +0100

lintian-brush (0.154) unstable; urgency=medium

  * Add manpages for deb-vcs-publish, fix-watch-file.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 21 Nov 2023 13:30:41 +0000

lintian-brush (0.152) unstable; urgency=medium

  * Fix compatibility with newer rust crates. Closes: #1054839

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 28 Oct 2023 01:41:32 +0100

lintian-brush (0.151) unstable; urgency=medium

  * Finish conversion of apply-multiarch-hints to rust. Closes:
    #1051766, #1042949
  * Add support for ma-workaround.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 23 Sep 2023 14:17:49 +0100

lintian-brush (0.150) unstable; urgency=medium

  * Scrub environment when running tests.
  * Port the lintian-brush command to rust.
  * Bump breezy dependency to 3.3.1

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 08 Sep 2023 17:49:50 +0100

lintian-brush (0.149) unstable; urgency=medium

  * Port some core functionality to rust.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 19 Jun 2023 22:57:59 +0100

lintian-brush (0.148) unstable; urgency=medium

  * Bump minimum upstream-ontologist to 0.134.
  * Maintain an explicit list of fields to add to
    debian/upstream/metadata.
  * Migrate from asyncpg to psycopg2.
  * Bump debmutate to 0.66, which fixes shebang-stripping bug - and add
    test.
  * Fill in Homepage field.
  * Update standards version to 4.6.2, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 13 Jun 2023 19:04:02 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog librust-debian-workspace-dev`.
